Bug 51773 - XAMLC: Member 'X' is declared in another module and needs to be imported
Summary: XAMLC: Member 'X' is declared in another module and needs to be imported
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.3
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-01-25 18:44 UTC by adamhewitt
Modified: 2017-03-21 17:06 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Reproduction Project (3.02 KB, application/x-zip-compressed)
2017-01-25 18:44 UTC, adamhewitt
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description adamhewitt 2017-01-25 18:44:21 UTC
Created attachment 19480 [details]
Reproduction Project

In my case the member was Xamarin.Forms.TargetPlatform (although other uses failed when I removed those, so it doesn't appear container.

I managed to narrow it down to a very bare-bones project. The failure looks to be in "{Binding Source={x:Static Device.OS}}" when using XamlC.


Adam
Comment 1 Stephane Delcroix 2017-01-27 10:22:13 UTC
fixed in https://github.com/xamarin/Xamarin.Forms/pull/642. the fix will be available in 2.3.4-pre2
Comment 2 Samantha Houts [MSFT] 2017-03-21 17:06:13 UTC
Should be fixed in 2.3.4-pre1.1. Thank you!